// SJoystick.cpp: Implementierung der Klasse SJoystick.
//
//////////////////////////////////////////////////////////////////////

#include "SJoystick.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

SJoystick::SJoystick()
{
	joystickID = JOYSTICKID1;
	ZeroMemory(&joystickInfo,sizeof(joystickInfo));
}

SJoystick::~SJoystick()
{

}

////////////////////////////////////////////
// Funktionen
////////////////////////////////////////////

bool SJoystick::updateJoystick()
{
	if (joyGetPos(joystickID,&joystickInfo) == JOYERR_NOERROR)
	{
		return true;
	}

	return false;
}

void SJoystick::setCurrentJoystick(UINT joystick)
{
	joystickID = joystick;
}

unsigned int SJoystick::getCurrentJoystick()
{
	return joystickID;
}

bool SJoystick::isJoystickOK()
{
	return updateJoystick();
}

bool SJoystick::isButtonPressed(unsigned int whichButton)
{
	if (!updateJoystick())
	{
		return false;
	}

	if (joystickInfo.wButtons & whichButton)
	{
		return true;
	}

	return false;
}

unsigned int SJoystick::getXPosition()
{
	if (!updateJoystick())
	{
		return 0;
	}

	return joystickInfo.wXpos;
}

unsigned int SJoystick::getYPosition()
{
	if (!updateJoystick())
	{
		return 0;
	}

	return joystickInfo.wYpos;
}


unsigned int SJoystick::getZPosition()
{
	if (!updateJoystick())
	{
		return 0;
	}

	return joystickInfo.wZpos;
}
